Bug 312321 - 'Java Toolset Configuration' utility does not detect any installed Java package
'Java Toolset Configuration' utility does not detect any installed Java package
Product: Fedora
Classification: Fedora
Component: system-switch-java (Show other bugs)
noarch Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-29 09:38 EDT by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 14:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2007-09-29 09:38:55 EDT
Description of problem:
The 'Java Toolset Configuration' utility does not detect any Java package even
though several are installed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch 'Java Toolset Configuration'.
Actual results:
A popup windows appears reporting:
 No supported Java packages were found.  A supported Java package is one
   that installs a file of the form:
 For example, java-1.4.2-gcj-compat is a supported package because it

Expected results:
'Java Toolset Configuration' utility allows to select the default Java toolset
for the system.

Additional info:
Several Java packages are installed. In particular, the content of /usr/lib/jvm
java@                        java-gcj@       jre-1.7.0-icedtea@
java-1.5.0@                  jre@            jre-gcj@
java-1.5.0-gcj@              jre-1.5.0@      jre-icedtea@
java-1.5.0-gcj-      jre-1.5.0-gcj@
java-1.7.0-icedtea-  jre-1.7.0@
Comment 1 Thomas Fitzsimmons 2007-10-01 13:02:37 EDT
This error can also mean that system-switch-java cannot open
/var/lib/alternatives/java.  Can you confirm this is not the case?
Comment 2 Joachim Frieben 2007-10-02 09:17:24 EDT
(In reply to comment #1)
For an ordinary user, 'grep /usr/lib/jvm/jre /var/lib/alternatives/java' returns:


I have no idea wether 'system-switch-java' might encounter problems with this
file beyond that, but even launching it from the command line, no error message
is spawned to the shell indicating problems of any kind.
Moreover, 'SELinux' is enabled but in permissive mode, so this should not make a
difference either.
Comment 3 Thomas Fitzsimmons 2007-10-02 14:23:55 EDT
Fixed in system-switch-java-1.1.2-1.fc8.  An unhandled exception was being
thrown if either java-1.7.0-icedtea-plugin or java-1.7.0-icedtea-javadoc was not
installed.  Thanks for reporting.

Note You need to log in before you can comment on or make changes to this bug.